Bug 169671 - hal does not notice that a device is gone
Summary: hal does not notice that a device is gone
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-30 20:52 UTC by Michal Jaegermann
Modified: 2013-03-06 03:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 18:27:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2005-09-30 20:52:54 UTC
Description of problem:

With a setup updated to the the current rawhide level pluggina a USB
floppy with a read-only floppy inside results in a floppy beeing mounted
on /media/floppy1.  So far so good (disregarding that currently hal and
nautilus do not seem to talk to each other and that floppy does not show
up on a desktop and is also not nautilus-browsable).

But if now I will pull a usb plug (yes, I know that I should not do that
but users not always listen to such reminders) then I see in 'dmesg'

usb 5-1: USB disconnect, address 3

but no reaction from hal and that floppy remains mounted.

If, in an apparent attempt to rectify the mistake, I will replug that floppy
again then 'mount' now shows

....
/dev/sdb on /media/floppy1 type vfat (ro,nosuid,nodev,_netdev)
/dev/sdc on /media/floppy2 type vfat (ro,nosuid,nodev,_netdev)

and two corresponding entries in /etc/fstab even if /dev/sdb at this
moment is actually gone.  Moreover neither 'umount /media/floppy1' nor
'umount /dev/sdc' rewrites /etc/fstab.  Unplugging a usb enclosure with
unmounted /dev/sdc removes its entry in /etc/fstab but the one for /dev/sdb
is there (although it will be "recycled" if one will re-plug that USB floppy
now, i.e with both /media/floppy{1,2} unmounted).

I do not have a USB memory stick right now but I suspect that reactions will
be similar.

Version-Release number of selected component (if applicable):
hal-0.5.4-3

Comment 1 David Zeuthen 2006-10-05 18:22:14 UTC
Is this still happening? Lots of fixes and changes went into the hal codebase
the past year. Thanks.

Comment 2 Michal Jaegermann 2006-10-05 18:27:11 UTC
> Is this still happening?
AFAICT this is fixed.  Thanks.  Closing.


Note You need to log in before you can comment on or make changes to this bug.